Subject: Re: bug#29059: network-manager-service extension package not fully functional

From: [email-masked] (Ludovic Courtès)
Date: Tue, 14 Nov 2017 17:24:32 +0100

Howdy ng0,

ng0 <[email-masked]> skribis:

> Ludovic Courtès transcribed 0.8K bytes:
>> Hi ng0,
>> 
>> ng0 <[email-masked]> skribis:
>> 
>> > paste from my current systemconfig:
>> >
>> >              ;; networking with network-manager
>> >              (service wpa-supplicant-service-type wpa-supplicant)
>> >              (service network-manager-service-type
>> >                       (network-manager-configuration
>> >                        (vpn-plugins (list network-manager-openvpn
>> >                                           network-manager-vpnc))))
>> >
>> >
>> > Context here: https://c.n0.is/systems/tree/guixsd/workstations/abyayala/config.scm
>> >
>> > and this mess is the vpnc plugin for NM:
>> > https://c.n0.is/ng0_guix/packages/tree/ng0/packages/personalized.scm#n213
>> 
>> I’m sorry but I can’t offer to address a bug that’s not in Guix proper.
>> That said, you’re welcome to submit network-manager-vpnc for inclusion!
>> 
>> Thanks,
>> Ludo’.
>> 
>
> Sorry, I mentioned in my initial message that vpnc AND openvpn are affected.
> The error message is the same for OpenVPN and VPNC plugin.

You may be right, but it was not obvious to me that the OpenVPN and the
VPNC plugins would fail in exactly the same way, especially since the
error mentions the “org.freedesktop.NetworkManager.vpnc” DBus service.

As it is, I wouldn’t know how to act based on this bug report since I’m
not even sure how to reproduce it.

Ludo’.